import sys, traceback
from pasteob import *
from mext.htmlgen import *

__all__ = ['simple_catcher']

@webob_middleware
def simple_catcher(req, app):
    try:
        r = req.get_response(app)
        r.body
        return r
    except:
        tb_lines = traceback.format_exception(*sys.exc_info())
        #print ''.join(tb_lines)
        return Response.make(
            HtmlDocument([
                TITLE[tb_lines[-1]],
                H3["Server Error"],
                PRE[tb_lines]
                #PRE[tb_lines[:-1], BOLD[tb_lines[-1]]]
            ]),
            status_int=500
        )
